commit: 8ba4b4fb5f7dc15540be79a176bd2ff2029a17c7
Author: Louis Sautier <sbraz <AT> gentoo <DOT> org>
AuthorDate: Tue Jun 19 22:01:23 2018 +0000
Commit: Louis Sautier <sbraz <AT> gentoo <DOT> org>
CommitDate: Tue Jun 19 22:03:16 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8ba4b4fb
dev-python/flask-nav: support Python 3.6
Also remove pytest-runner from dependencies.
Package-Manager: Portage-2.3.40, Repoman-2.3.9
dev-python/flask-nav/flask-nav-0.6.ebuild | 17 +++++++----------
1 file changed, 7 insertions(+), 10 deletions(-)
diff --git a/dev-python/flask-nav/flask-nav-0.6.ebuild
b/dev-python/flask-nav/flask-nav-0.6.ebuild
index 2c76b7a8724..c9e9879ffa8 100644
--- a/dev-python/flask-nav/flask-nav-0.6.ebuild
+++ b/dev-python/flask-nav/flask-nav-0.6.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
-PYTHON_COMPAT=( python{2_7,3_4,3_5} )
+EAPI=7
+PYTHON_COMPAT=( python{2_7,3_{4,5,6}} )
inherit distutils-r1
@@ -28,7 +28,6 @@ DEPEND="
test? (
${RDEPEND}
dev-python/pytest[${PYTHON_USEDEP}]
- dev-python/pytest-runner[${PYTHON_USEDEP}]
)
"
@@ -38,14 +37,12 @@ python_prepare_all() {
}
python_compile_all() {
- use doc && emake -C docs html
+ if use doc; then
+ sphinx-build docs docs/_build/html || die
+ HTML_DOCS=( docs/_build/html/. )
+ fi
}
python_test() {
py.test || die "Tests failed with ${EPYTHON}"
}
-
-python_install_all() {
- use doc && local HTML_DOCS=( docs/_build/html/. )
- distutils-r1_python_install_all
-}